View Issue Details

IDProjectCategoryView StatusLast Update
0005904MediaMonkey (current)Properties/Auto-Toolspublic2010-10-17 23:42
Reporterpeke 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0005904: Tag guessing from filename fail when track# is three digits
DescriptionIn case that filename is named track001.wav and tag is missing MediaMonkey will not correctly fill track# property apron Automatic Guessing when track is added to Library.
Additional InformationExplained here:
http://www.mediamonkey.com/forum/viewtopic.php?f=7&t=41824
TagsNo tags attached.
Fixed in build1301

Activities

jiri

2009-11-02 16:25

administrator   ~0019479

I suppose that this could be fixed by changing the internal scanning mask from 'Track%2T' to 'Track%T'. Ludek, please look into these masks (Mp3consts.pas) and add some DUnit tests of scanning that would test properties guessing from filenames of tracks that don't have any tags.

Ludek

2009-11-20 13:53

developer   ~0019749

Last edited: 2009-11-21 11:18

Fixed in build 1301 and covered by regression tests.

Fixed tag guessing more grenerally, e.g. these examples haven't work so far:
'C:\Music\Artist\Album\17 - Hello.wma'
'C:\Album (Artist)\Title.wav'
'C:\Artist-Album-Title.wav'
'C:\Track01 - Title.wav'
'C:\track001.wav'

Ludek

2009-11-20 14:11

developer   ~0019750

Note that this will work properly only if you delete current
[SongMasks]
section from MediaMonkey.ini file or on fresh install.

peke

2010-10-17 23:42

developer   ~0020813

Verified 1316